#ifndef CALCULATIONS_H
#define CALCULATIONS_H

// Definitions //////////////////////////////////////////////
#define L			8890 // 10 um, length of arm
#define W			2032 // 10 um, half distance between base
#define xHome		13343 // 10 um
#define yHome		8016 // 10 um 
#define SCALER		10000 // to scale output of sine/cosine

int X; // location of finger
int Y;

// general use functions
int sine(int angle);
int cosine(int angle);

// forward kinematics of the systems
void forwardKinematics(int th1, int th2);

#endif
